import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (i, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, o = i.length - 1, p; o >= 0; o--)
    (p = i[o]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && h(t, s, e), e;
};
let l = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--plane", this.class = "c-pieIcon c-pieIcon--plane", this.name = "IconPlane";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--plane"><path d="m10.931 15-1.881-.595a3.3 3.3 0 0 0-2.1 0L5.069 15l-.044-1.505.35-.192a.88.88 0 0 0 .446-.77V10.45l-3.832.77V8.919a1.43 1.43 0 0 1 .761-1.243l3.106-1.75v-2.52a2.188 2.188 0 0 1 4.375 0v2.555l3.107 1.75a1.43 1.43 0 0 1 .726 1.243v2.301l-3.876-.805v2.083a.88.88 0 0 0 .446.77l.341.192zM8 12.918a4.7 4.7 0 0 1 .928.096 2.2 2.2 0 0 1-.053-.481V8.875l3.832.77v-.7a.11.11 0 0 0-.052-.096L8.875 6.73V3.406a.875.875 0 0 0-1.75 0v3.325l-3.78 2.092a.11.11 0 0 0-.052.096v.7l3.832-.744v3.684q0 .244-.052.481A4.7 4.7 0 0 1 8 12.918"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], l.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = n([
  f("icon-plane")
], l);
export {
  l as IconPlane
};
